import Foundation

enum GameType {
    
    case rufEichel
    case rufBlatt
    case rufSchelln
    case hochzeit
    case bettel
    case wenz
    case geier
    case soloEichel
    case soloBlatt
    case soloHerz
    case soloSchelln
    
    var gameClass: Int {
        switch self {
        case .rufEichel, .rufBlatt, .rufSchelln:
            return 1
        case .hochzeit:
            return 2
        case .bettel:
            return 3
        case .wenz, .geier:
            return 4
        case .soloEichel, .soloBlatt, .soloHerz, .soloSchelln:
            return 5
        }
    }
    
    var isSingleGame: Bool {
        switch self {
        case .rufEichel, .rufBlatt, .rufSchelln, .hochzeit:
            return false
        default:
            return true
        }
    }
    
    var basicCost: Int {
        switch self {
        case .rufEichel, .rufBlatt, .rufSchelln:
            return 5
        case .hochzeit:
            return 10
        case .bettel:
            return 15
        case .wenz, .geier:
            return 20
        case .soloEichel, .soloBlatt, .soloHerz, .soloSchelln:
            return 20
        }
    }
}

